{ pkgs, lib, ... }:
{
  imports = [
    ./../alacritty.nix
  ];

  home = {
    packages = with pkgs; [
      papers
      kitty
      pavucontrol

      # Window Manager Extras
      bibata-cursors
      hyprcursor
      hypridle
      hyprlock
      hyprpaper
      hyprshot
      nautilus
      networkmanager
      swaynotificationcenter
      waybar
      wl-clipboard
    ];

    sessionVariables = {
      EDITOR = "nvim";
      VISUAL = "nvim";
    };
  };

  programs = {
    alacritty = {
      enable = true;
      settings.window.opacity = 0.92;
    };
    firefox.enable = true;
    neovim.plugins = with pkgs.vimPlugins; [ copilot-vim ];
    wofi.enable = true;
  };

  home.stateVersion = "24.11";
}
